Rubrics
11 endpoints
POST /api/v5/artifacts/rubrics/get
Get Rubric
Get rubric information using the canonical shared rubric operation.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
rubric_id?: `string` | `null`
draft_id?: `string` | `null`
}Response:
{
actor_name?: `string` | `null`
rubric_exists?: `boolean` | `null`
can_edit?: `boolean` | `null`
disabled_reason?: `string` | `null`
draft_version?: `integer` | `null`
group_id?: `string` | `null`
basic_show_ai_generate?: `boolean` | `null`
content_show_ai_generate?: `boolean` | `null`
names?: `RubricNameSection` | `null`
descriptions?: `RubricDescriptionSection` | `null`
flags?: `RubricFlagSection` | `null`
departments?: `RubricDepartmentSection` | `null`
points?: `RubricPointsSection` | `null`
standard_groups?: `RubricStandardGroupsSection` | `null`
standards?: `RubricStandardsSection` | `null`
}POST /api/v5/artifacts/rubrics/search
Search Rubric
Search rubrics — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
search?: `string` | `null`
filter_department_ids?: `string`[] | `null`
filter_simulation_ids?: `string`[] | `null`
department_search?: `string` | `null`
simulation_search?: `string` | `null`
page_size?: `integer` | `null`
page_offset?: `integer` | `null`
}Response:
{
actor_name?: `string` | `null`
rubrics?: `ListRubricApiRubric`[] | `null`
standard_groups?: `ListRubricApiStandardGroup`[] | `null`
standards?: `ListRubricApiStandard`[] | `null`
department_filter?: `ListFilterSection` | `null`
simulation_filter?: `ListFilterSection` | `null`
total_count?: `integer` | `null`
}POST /api/v5/artifacts/rubrics/create
Create Rubric
Create rubrics using composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
rubrics: `CreateRubricItem`[]
}Response:
{
results: `RubricResultItem`[]
}POST /api/v5/artifacts/rubrics/update
Update Rubric
Update rubrics using composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
rubrics: `UpdateRubricItem`[]
}Response:
{
results: `RubricResultItem`[]
}POST /api/v5/artifacts/rubrics/duplicate
Duplicate Rubric
Duplicate a rubric — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
rubric_id: `string`
}Response:
{
success: `boolean`
rubric_id: `string`
message: `string`
}POST /api/v5/artifacts/rubrics/delete
Delete Rubric
Bulk delete rubrics — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
rubric_ids: `string`[]
}Response:
{
results: `DeleteRubricResult`[]
}PATCH /api/v5/artifacts/rubrics/draft
Patch Rubric Draft
Patch rubric draft — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
input_draft_id?: `string` | `null`
expected_version?: `integer`
name?: `string` | `null`
name_id?: `string` | `null`
description?: `string` | `null`
description_id?: `string` | `null`
flag_id?: `string` | `null`
department_ids?: `string`[] | `null`
point_ids?: `string`[] | `null`
standard_group_ids?: `string`[] | `null`
standard_ids?: `string`[] | `null`
}Response:
{
success: `boolean`
draft_id: `string`
new_version: `integer`
message: `string`
form_state?: `RubricDraftFormState` | `null`
}POST /api/v5/artifacts/rubrics/drafts
Get Rubric Drafts
List rubric drafts owned by the current profile.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Response:
{
entries?: `GetRubricDraftResponse`[] | `null`
}POST /api/v5/artifacts/rubrics/docs
Get Rubric Docs Endpoint
Get composed documentation for the rubric artifact.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
entity_id?: `string` | `null`
}Response:
{
name: `string`
type: `string`
description: `string`
artifact?: `DocsResponse` | `null`
entries: `DocsResponse`[]
resources: `DocsResponse`[]
permissions: `OperationInfo`[]
api_operations: `OperationInfo`[]
page_metadata?: `DocsApiResponse` | `null`
}POST /api/v5/artifacts/rubrics/export
Export Rubrics
Export all rubrics as a clean, denormalized CSV.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
rubric_id?: `string` | `null`
}Response:
{
upload_id: `string`
file_name: `string`
row_count: `integer`
}POST /api/v5/artifacts/rubrics/refresh
Rubric Refresh
Refresh rubric materialized views and invalidate caches.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Response:
{
success: `boolean`
refreshed_views: `string`[]
invalidated_tags: `string`[]
}